var url;
var id_original;
var title;
var customer_name;
var date;
var insert_user_name;
var snippets;
var snippets_display_flg;


/**
 * init
 * @param {Request} request
 */
function init(request) {
	
	//NGXgp[^\擾
  	url 				= request.url;
  	id_original 		= request.id_original;
  	title 				= Module.string.browse(request.title, " ");
  	customer_name	 	= Module.string.browse(request.customer_name_string, " ");
  	insert_user_name	= Module.string.browse(request.insert_user_name_string, " ");
  	snippets 			= Procedure.getEncodedSnippets(request);
  
   	var start_date	 	= Format.toDate("yyyy/MM/dd|HH:mm:ss", request.start_date_string);
  	var end_date		= Format.toDate("yyyy/MM/dd|HH:mm:ss", request.end_date_string);
	date 				= Format.fromDate("yyyy/MM/dd(E) HH:mm", start_date) + 
						  " - " + Format.fromDate("HH:mm", end_date);

	//v\̗L𔻒
  	if("on".equals(request.display_snippets) && snippets.length > 0) {
  		snippets_display_flg = true;
  	} else {
  		snippets_display_flg = false;
  	}
}