var url;
var id_original;
var title;
var full_folder_name;
var insert_user_name;
var insert_date;
var snippets;
var snippets_display_flg;

/**
 * init
 * @param {Request} request
 */
function init(request) {
	
	//NGXgp[^\擾
	url 				= request.url;
	id_original 		= request.id_original;
	title 				= Module.string.browse(request.title, " ");
	full_folder_name 	= Module.string.browse(request.full_folder_name_string, " ");
	insert_user_name	= Module.string.browse(request.insert_user_name_string, " ");
	snippets 			= Procedure.getEncodedSnippets(request);
	
	var date			= Format.toDate("yyyy/MM/dd|HH:mm:ss", request.insert_date_string);
	insert_date 		= Format.fromDate("yyyy/MM/dd(E)", date);

	//v\̗L𔻒
  	if("on".equals(request.display_snippets) && snippets.length > 0) {
  		snippets_display_flg = true;
  	} else {
  		snippets_display_flg = false;
  	}
}