var url;
var id_original;
var title;
var date;
var place;
var participants;
var insert_user_name;
var snippets;
var snippets_display_flg;

/**
 * init
 * @param {Request} request
 */
function init(request) {
	
	//NGXgp[^\擾
	url					= request.url;
	id_original			= request.id_original;
	title		 		= Module.string.browse(request.title, " ");
	place	 			= Module.string.browse(request.place_string, " ");
	insert_user_name	= Module.string.browse(request.insert_user_name_string, " ");
	snippets 			= Procedure.getEncodedSnippets(request);

  	//Ԃ̕ҏW
  	var all_day_flg    	= request.all_day_flg_string; 
  	var start_date		= Format.toDate("yyyy/MM/dd|HH:mm:ss", request.start_date_string);
  	var end_date		= Format.toDate("yyyy/MM/dd|HH:mm:ss", request.end_date_string);

	
	if("1".equals(all_day_flg)) {
		date = Format.fromDate("yyyy/MM/dd(E)", start_date);
	} else {
		date = Format.fromDate("yyyy/MM/dd(E) HH:mm", start_date) + " - ";
		if(Format.fromDate("HH:mm", end_date) == "00:00") {
			date += Format.fromDate("yyyy/MM/dd(E)", Module.date.addDay(end_date, -1)) + " 24:00";
	   	} else {
   			date += Format.fromDate("yyyy/MM/dd(E) HH:mm", end_date);
		}
	}

	//z񂩂當쐬
	var paticipantsArray = request.participants_string_mlt;
	if(!isArray(paticipantsArray)) {
		participants = Module.string.browse(getUserName(paticipantsArray));
	} else {
		var first = true;
		for(var count = 0; count < paticipantsArray.length; count++) {
			var p_name = Module.string.browse(getUserName(paticipantsArray[count]));
			if(!first) {
				participants += ", " + p_name;
			} else {
				participants = p_name;
			}
			first = false;
		}
	}

	//v\̗L𔻒
  	if("on".equals(request.display_snippets) && snippets.length > 0) {
  		snippets_display_flg = true;
  	} else {
  		snippets_display_flg = false;
  	}
}  	
  	
 function getUserName(pUserCd) {
	 var session = AccessSecurityManager.getSessionInfo();
	 var locale  = session.locale;
	 var loginUserCd  = Module.client.get("id");
	 var loginGroupCd = Module.client.get("group");
	 var now = new Date();
	 var userName = pUserCd;

	 // [U擾
	 var usrMng  = new UserManager(loginUserCd, loginGroupCd);
	 var usrData = usrMng.getUser(pUserCd);
	 if(!usrData.error && !isNull(usrData.data)) {
		 for(var l=0; l<usrData.data.terms.length; l++) {
			 if(Module.date.isBetween(usrData.data.terms[l].startDate, "<=", now, "<=", usrData.data.terms[l].endDate)) {
				 usrData = usrData.data.terms[l];
				 userName    = eval("usrData.locales." + locale + ".name");
				 break;
			 }
		 }
	 }
	 return userName;  		
}